<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<br>
<div style="margin-top: 50px" class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h3 class="text-primary">Projects</h3>
    </div>
</div>

<div class="container">
  <div class="card top">
    <div class="row">
      <div class="col-md-3 pull-left">
	<%= select_tag "category", options_from_collection_for_select(Category.all, "id", "category_name"), {prompt: 'Select Cateogory', id: 'category'} %>
      </div>
      <div class="col-md-2 pull-left">
	<input id="search_params" name="search" placeholder="Enter the Project name" type="text" />
      </div>

<!--      <div class="col-md-2 pull-left">
	<button id="submit_btn" class="btn btn-success col submit-btn"  type="submit">Submit</button>
      </div> -->

      <div class="col-md-2 pull-left">
	<%= button_to "Back", {action: "welcome_user", :controller=>"sessions"}, :method => :get, class: "btn btn-warning", id: "back_btn_id"%>
      </div>
      <div class="col-md-2 pull-left">
        <%= button_to "New", {action: "new"}, :method => :get, class: "btn btn-primary", id: "new_btn_id"%>
      </div>

    </div>

    <div id="project_list">
      <% if @projects.present? %>
        <table id="project_list_table" class="table table-striped display" cellspacing="0" width="100%">
          <thead>
            <tr>
              <th>Project name</th>
              <th>Description</th>
              <th>User</th>
              <th>Category</th>
              <th colspan="3"></th>
            </tr>
          </thead>
          <tbody>
            <% @projects.each do |project| %>
              <tr>
                <td><%= project.project_name %></td>
                <td><%= project.description %></td>
                <td><%= project.user.first_name %></td>
                <td><%= project.category.category_name %></td>
                <td><%= link_to 'Show', project %></td>
                <td><%= link_to 'Edit', edit_project_path(project) %></td>
                <td><%= link_to 'Destroy', project, method: :delete, data: { confirm: 'Are you sure?' } %></td>
              </tr>
            <% end %>
          </tbody>
        </table>
      <% else %>
        <tr><div class="search_result"><p><i class="fa fa-search" aria-hidden="true"> No Record Found</i></p></div></tr>
      <% end %>
    </div>
    
    <div id="project_filter_list">

    </div>
  </div>
</div>

<script type="text/javascript">
  $(document).ready(function(){
    $('#project_listi').dataTable();
    
    $("#category").on('change', function(){
      var category = ($("#category").val());
      var search_params = ($("#search_params").val());
        $.ajax({
          type: "GET",
           url: "project_search?category="+category+"&&search_params="+search_params,
           data: {category: category, search_params: search_params},
           success: function(data) {
                window.alert("success!!");
           },
           error: function (){
                window.alert("something wrong!");
           }
        })
    })


    $("#search_params").keyup(function(){
      var category = ($("#category").val());
      var search_params = ($("#search_params").val());
        $.ajax({
          type: "GET",
           url: "project_search?category="+category+"&&search_params="+search_params,
           data: {category: category, search_params: search_params},
           success: function(data) {
                window.alert("success!!");
           },
           error: function (){
                window.alert("something wrong!");
           }
        })    
    })


   //  $('#submit_btn').click(function(){
   //    var category = ($("#category").val());
   //    var search_params = ($("#search_params").val());
   //      $.ajax({
   //        type: "GET",
   //         url: "project_search?category="+category+"&&search_params="+search_params,
   //	   data: {category: category, search_params: search_params},
   //	   success: function(data) {
   //		window.alert("success!!");
   //	   },
   //	   error: function (){
   // 		window.alert("something wrong!");
   //	   }
   //      })
   //  })
  });
</script>


